(hardy) can't write DVD-RW

Bug #199040 reported by David Prieto on 2008-03-06
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: nautilus-cd-burner

I don't usually burn many CDs, so it surprised me to see this message when I tried to burn a DVD-RW this morning:

"There was an error writing to the disc:
Unhandled error, aborting"

Launching from the terminal does not give any additional info. Also, since I don't usually burn, I don't know if it happens with other types of media. If you need to know, I can try.

Sebastien Bacher (seb128) wrote :

Thanks for taking the time to report this bug. Unfortunately we can't fix it, because your description didn't include enough information. You may find it helpful to read "How to report bugs effectively" <http://www.chiark.greenend.org.uk/~sgtatham/bugs.html>. We'd be grateful if you would then provide a more complete description of the problem.

 We have instructions on debugging some types of problems. <http://wiki.ubuntu.com/DebuggingProcedures> Thanks!

Changed in nautilus-cd-burner:
assignee: nobody → desktop-bugs
importance: Undecided → Low
status: New → Incomplete

Hi Sebastien,

Truly sorry, but I didn't manage to find instructions on how to debug this specific problem in that link you provided. If you could be a little more specific.

Thank you, and my excuses.

Sebastien Bacher (seb128) wrote :

the description is not clear, are you trying to burn an audio cd or an is or datas? How do you copy those to the disc? where do you click or what do you do to get the error? could you run gconf-editor, go to apps, nautilus-cd-burner and enable the debug key, then run nautilus-cd-burner on a command line and copy the debug log there?

Thank for clarifying. I'll try to answer as clearly as possible.

I was trying to burn a data disk, more specifically an Ubuntu ISO.

I tried several methods, from right-clicking the ISO and choosing "burn to disc" to running "nautilus-cd-burner --source-iso=hardy-desktop-i386.iso from the terminal". I have also tried to run NCB from places → CD creator and burn some random files, but I get the same result.

After enabling the debug key, this is what the terminal returns:

david@david-laptop:~$ nautilus-cd-burner --source-iso=hardy-desktop-i386.iso
launching command: growisofs -dvd-compat -use-the-force-luke=tty -Z /dev/scd0=/home/david/hardy-desktop-i386.iso
growisofs stdout: Executing 'builtin_dd if=/home/david/hardy-desktop-i386.iso of=/dev/scd0 obs=32k seek=0'
growisofs stderr: :-[ PERFORM OPC failed with SK=0h/ASC=00h/ACQ=02h]: Input/output error
growisofs stderr: /dev/scd0: "Current Write Speed" is 1.6x1352KBps.
growisofs stdout: 0/734140416 ( 0.0%) @0x, remaining ??:?? RBU 100.0% UBU 0.0%
process stdout: HUP
growisofs stderr: :-[ WRITE@LBA=0h failed with SK=5h/ASC=64h/ACQ=00h]: Input/output error
growisofs stderr: :-( attempt to re-run with -dvd-compat -dvd-compat to engage DAO or apply full blanking procedure
growisofs stderr: :-( write failed: Input/output error
process stderr: HUP

I will try with other types of media later and report back.

antistress (antistress) wrote :

i can't burn DVD+RW with Hardy
i've tried GNOME CD-Burner, Brasero and Kino (through "Burn to /dev/dvd with growisofs" option)

antistress (antistress) wrote :

and also GNOMEBAKER and even K3B which is not GNOME-specific

sabacon10 (sabacon10) wrote :

I am having the same problem on a Dell inspiron 9100 none of the applications (brasero, nautilus) will write a to DVD+R, gives this error "There was an error writing to the disc: Unhandled error, aborting", at one time brasero reports that the writing is successful but the disc is still seen as blank by both Linux and windows, infrarecorder portable for Windows burn to the same type of discs correctly. I will try to get the debug information, time permitting.

Andrew Oakley (andrew-aoakley) wrote :

This problem does NOT occur on a Dell Optiplex 745 desktop with DVD-ROM CD-RW combo drive, neither before nor after upgrade from Gutsy to Hardy. I have burned several CD ISOs at max speed in Brassero, and they verify (checksum) correctly, also browsing the resultant discs in both Ubuntu and MS-Windows works fine.

However there are a number of people on the ubuntu-uk mailing list who definitely do have this problem after upgrade from Gutsy to Hardy:

http://www.nabble.com/CD-Burning-with-Hardy-td16969788.html
http://www.nabble.com/Upgrading-to-8.04-tt16901662.html#a16943956

If the developers would like me to provide more information (eg. compare versions of stuff), please let me know how to obtain it; I am familiar with the command-line.

Sebastien Bacher (seb128) wrote :

one thing to try would be if the issue is specific to nautilus-cd-burner or if using cdrecord on a command has the same issue

krahim (karim-rahim) wrote :

I upgraded to hardy recently.

I have burned rewritable dvd-rw's for my dvd/avi player successfully with growisofs -Z /dev/cdrom -J -R temp.avi

I had troubles yesterday. I rollbacked growisofs to feisty and then to edgy which uses a different underlying command. The new one is a front end for genisoimage, the one for edgy was a front end for mkisofs. The roll back did not help. I thought about rolling back mkisofs but this would require me to roll back ubuntu-desktop, so I didn't.

Today after getting rid of the roll backs, everything worked. I did not keep the print outs from when it failed but going up through my command history I notice that I was using the command:

growisofs -Z /dev/cdrom1 -J -R temp.avi

Some how did dvd was mounted as cdrom1 instead of cdrom. I generally use tab completion for this and thought it was an oddity of hardy that the dvd mounts differently. Yesterday I also tried to burn with gnome bake and k3b without success after failing the command line method. Today I only tried the command line method with success.

I hope my two cents helps.

Karim

I running 32 but hardy
Linux ubuntu01 2.6.17-12-386 #2 Wed Aug 29 20:06:04 UTC 2007 i686 GNU/Linux

Currently
karim@ubuntu01:~$ ls -al /dev/cdrom
lrwxrwxrwx 1 root root 3 2008-05-11 02:27 /dev/cdrom -> hdc

krahim (karim-rahim) wrote :

While the desktop was able to burn dvd's after a bit the laptop, which has a 64 bit os cannot.
I tried with the dvd+rw-tools from hardy, and I also tried forcing earlier versions [edgy] without luck.

Using the hardy version on dvd+rw tools I get:

karim@ubuntult01:~$ dvd+rw-format -force /dev/cdrom1

* BD/DVD±RW/-RAM format utility by <email address hidden>, version 7.0.

* 4.7GB DVD-RW media in Restricted Overwrite mode detected.

* formatting 0.0-:-[ PERFORM OPC failed with SK=3h/ASC=73h/ACQ=03h]: Input/output error

karim@ubuntult01:~$ dmesg > dmesg.txt

karim@ubuntult01:~$ uname -a

Linux ubuntult01 2.6.24-17-generic #1 SMP Thu May 1 13:57:17 UTC 2008 x86_64 GNU/Linux

karim@ubuntult01:~$ ls -al /dev/cdrom1

lrwxrwxrwx 1 root root 4 2008-05-11 12:45 /dev/cdrom1 -> scd0

Sebastien Bacher (seb128) wrote :

not a nautilus-cd-burner specific issue, reassigning to linux

Changed in nautilus-cd-burner:
assignee: desktop-bugs → nobody
status: Incomplete → New
krahim (karim-rahim) wrote :

This is not a nautilus problem. It is a hardy problem, I did not want to create a new bug as this seemed to be the same problem I am having, and it was the first one I found using google ;)

Once again my desktop does not burn.
I installed several updates and finally got around to trying to burn something.
My desktop which worked a week ago now is mounting the dvd as cdrom1.

I can format but not burn.

karim@ubuntu01:~$ dvd+rw-format -force /dev/cdrom1
* BD/DVD±RW/-RAM format utility by <email address hidden>, version 7.0.
* 4.7GB DVD-RW media in Restricted Overwrite mode detected.
* formatting 63.5%
karim@ubuntu01:~$ growisofs -Z /dev/cdrom1 -J -R test.avi
Executing 'genisoimage -J -R test.avi | builtin_dd of=/dev/cdrom1 obs=32k seek=0'
I: -input-charset not specified, using utf-8 (detected in locale settings)
  2.78% done, estimate finish Fri May 16 21:20:57 2008
  5.56% done, estimate finish Fri May 16 21:21:15 2008
  8.32% done, estimate finish Fri May 16 21:21:21 2008
/dev/cdrom1: "Current Write Speed" is 6.1x1352KBps.
 11.10% done, estimate finish Fri May 16 21:22:09 2008

 13.87% done, estimate finish Fri May 16 21:22:09 2008
 16.65% done, estimate finish Fri May 16 21:22:03 2008
:-[ WRITE@LBA=37b0h failed with SK=4h/ASC=08h/ACQ=03h]: Input/output error
:-( write failed: Input/output error
/dev/cdrom1: flushing cache
/dev/cdrom1: writing lead-out
karim@ubuntu01:~$ dmesg | tail
[239189.575446] Buffer I/O error on device sr0, logical block 0
[239189.575455] Buffer I/O error on device sr0, logical block 1
[239189.575458] Buffer I/O error on device sr0, logical block 2
[239189.575462] Buffer I/O error on device sr0, logical block 3
[239189.579513] end_request: I/O error, dev sr0, sector 0
[239189.579526] Buffer I/O error on device sr0, logical block 0
[239189.596000] end_request: I/O error, dev sr0, sector 0
[239189.596011] Buffer I/O error on device sr0, logical block 0
[239189.599438] end_request: I/O error, dev sr0, sector 0
[239189.599443] Buffer I/O error on device sr0, logical block 0

Hope this helps.

Karim

krahim (karim-rahim) wrote :

Perhaps this is the same as the bug numbered 200337.
For the dvd burning problem is with dvd+rw-tools.

I had different but similar problems in 64 and 32 bit hardy. I am sure this problem did not exist with edgy (32 and 64bit). I'm pretty sure 32 bit feisty was fine.

Karim

Hi Guys,

This seems like a duplicate of bug 228624 which is already triaged and assigned to the ubuntu-kernel-team. I'm going to go ahead and mark this a duplicate of that bug. If you can please continue to follow the progress of this bug using that report it would be appreciated. Thanks.

My problem is fixed. It went away after installing an ATA133 cable and a
kernel upgrade. I suspect kernel authors thought they could better assess
UDMA modes but the increased speeds failed in marginal circumstances.
Reminiscent of ACPI.

Jim

On 8/12/08, Leann Ogasawara <email address hidden> wrote:
>
> *** This bug is a duplicate of bug 228624 ***
> https://bugs.launchpad.net/bugs/228624
>
> Hi Guys,
>
> This seems like a duplicate of bug 228624 which is already triaged and
> assigned to the ubuntu-kernel-team. I'm going to go ahead and mark this
> a duplicate of that bug. If you can please continue to follow the
> progress of this bug using that report it would be appreciated. Thanks.
>
> ** This bug has been marked a duplicate of bug 228624
> DVD writer not working since hardy upgrade
>
>
> --
> (hardy) can't write DVD-RW
> https://bugs.launchpad.net/bugs/199040
> You received this bug notification because you are a direct subscriber
> of the bug (via bug 228624).
>

--
http://ls.net
http://drupal.ls.net

Leann Ogasawara wrote:
> *** This bug is a duplicate of bug 228624 ***
> https://bugs.launchpad.net/bugs/228624
>
> Hi Guys,
>
> This seems like a duplicate of bug 228624 which is already triaged and
> assigned to the ubuntu-kernel-team. I'm going to go ahead and mark this
> a duplicate of that bug. If you can please continue to follow the
> progress of this bug using that report it would be appreciated. Thanks.
>
> ** This bug has been marked a duplicate of bug 228624
> DVD writer not working since hardy upgrade

Is Bug 220957 likewise a duplicate of Bug 228624?

Chandra

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Jim

Jim Tarvid
Internet Engineer at LSNet
Johnson City, Tennessee Area

Confirm that you know Jim Tarvid
https://www.linkedin.com/e/kgqx2d-goaoy4pi-66/isd/3040029540/au4N7hfd/

--
(c) 2011, LinkedIn Corporation

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 199040

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: hardy

David Prieto, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command in the development release from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. As well, please comment on which kernel version specifically you tested.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream', and comment as to why specifically you were unable to test it.

Please let us know your results. Thanks in advance.

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers